package SNMP::Insight::Device::Cisco::L2Device;

# ABSTRACT: Support for Generic Cisco L2 device

use Moose::Role;
use namespace::autoclean;

our $VERSION = '0.001';    #TRIAL VERSION:

with
  'SNMP::Insight::MIB::Cisco_VTP',
  'SNMP::Insight::MIB::Cisco_CDP';

# 'SNMP::Insight::MIB::Cisco_Agg',
# 'SNMP::Insight::MIB::Cisco_Stats',
# 'SNMP::Insight::MIB::Cisco_RTT',
# 'SNMP::Insight::MIB::Cisco_Config',
# 'SNMP::Insight::MIB::Cisco_PortSecurity',
# 'SNMP::Insight::MIB::Cisco_StpExtensions',

1;

# Local Variables:
# mode: cperl
# indent-tabs-mode: nil
# cperl-indent-level: 4
# cperl-indent-parens-as-block: t
# End:

__END__

=pod

=head1 NAME

SNMP::Insight::Device::Cisco::L2Device - Support for Generic Cisco L2 device

=head1 VERSION

version 0.001

=head1 AUTHOR

Gabriele Mambrini <g.mambrini@gmail.com>

=head1 COPYRIGHT AND LICENSE

This software is copyright (c) 2015 by Gabriele Mambrini.

This is free software; you can redistribute it and/or modify it under
the same terms as the Perl 5 programming language system itself.

=cut
